CmdMessenger 4.0.0 CmdMessenger is a serial port messaging library for the .Net / Mono Platform.

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties
CommandMessenger.Transport.Serial.SerialSettings Class Reference

Class containing serial port configuration. More...

List of all members.

## Public Member Functions
bool | IsValid ()
| Check is serial settings configured properly.
## Properties
string | PortName`[get, set]`
| The port to use (for example: COM1 or /dev/ttyACM1).
int | BaudRate`[get, set]`
| Port baud rate.
Parity | Parity`[get, set]`
| One of the Parity values.
int | DataBits`[get, set]`
| The data bits value.
StopBits | StopBits`[get, set]`
| One of the StopBits values.
bool | DtrEnable`[get, set]`
| Set Data Terminal Ready.
int | Timeout`[get, set]`
| Timeout for read and write operations to serial port.

## Detailed Description

Class containing serial port configuration.

## Member Function Documentation

bool CommandMessenger.Transport.Serial.SerialSettings.IsValid | ( |  | ) |

Check is serial settings configured properly.

Returns:

## Property Documentation

int CommandMessenger.Transport.Serial.SerialSettings.BaudRate`[get, set]`

Port baud rate.

int CommandMessenger.Transport.Serial.SerialSettings.DataBits`[get, set]`

The data bits value.

bool CommandMessenger.Transport.Serial.SerialSettings.DtrEnable`[get, set]`

Set Data Terminal Ready.

Parity CommandMessenger.Transport.Serial.SerialSettings.Parity`[get, set]`

One of the Parity values.

string CommandMessenger.Transport.Serial.SerialSettings.PortName`[get, set]`

The port to use (for example: COM1 or /dev/ttyACM1).

StopBits CommandMessenger.Transport.Serial.SerialSettings.StopBits`[get, set]`

One of the StopBits values.

int CommandMessenger.Transport.Serial.SerialSettings.Timeout`[get, set]`

Timeout for read and write operations to serial port.

The documentation for this class was generated from the following file:

- D:/My Documents/Github/Arduino/Own Arduino libraries/CmdMessenger/Arduino-CmdMessenger/extras/CSharp/CommandMessenger.Transport.Serial/SerialSettings.cs